from django.contrib.gis.db import models
import datetime

class Ship(models.Model):
#  point = models.PointField()
  name = models.CharField(max_length=255)
  mmsi = models.CharField(max_length=100)

class Position(models.Model):
  ship = models.ForeignKey(Ship)
  point = models.PointField()
  timestamp = models.DateTimeField(default=datetime.datetime.now())  
  objects = models.GeoManager()  

# Create your models here.
